Description

For the device which supports test/blocked and blocked and only internal control objects without physical outputs, the sCtl5 step 6
and step 10 does not apply.

Suggest to update the expected result for step 6 and step 10 to:

Commands are accepted.

For control objects with wired physical outputs, the outputs are blocked, DUT sends CommandTermination with AddCause =
blocked-by-mode.

For control objects without wired physical outputs, command is executed.

History

#1 - 02/21/2023 09:47 AM - Hua Qin

- Description updated

Hua Qin wrote:

For the device which supports test/blocked and blocked and only internal control objects without physical outputs, the sCtl5 step 6 and step 10
does not apply.

Suggest to update the expected result for step 6 and step 10 to:

Commands are accepted.
For control objects with wired physical outputs, the outputs are blocked, DUT sends CommandTermination with AddCause = blocked-by-mode.
For control objects without wired physical outputs, DUT sends CommandTermination+

#2 - 03/07/2023 09:21 AM - IEC 61850 TPWG
- Due date set to 03/21/2023
- Status changed from New to In Progress

- Assignee set to Richard Schimmel

Perhaps the description of the concept should be to test blocking only for controls with physical output? To be considered further...

#3 - 03/21/2023 08:28 AM - IEC 61850 TPWG
- Due date changed from 03/21/2023 to 04/04/2023

- Assignee changed from Richard Schimmel to Thierry Dufaure
#4 - 04/03/2023 08:28 AM - Thierry Dufaure

- File sCtl5.docx added

- Due date changed from 04/04/2023 to 04/19/2023

- Assignee changed from Thierry Dufaure to IEC 61850 TPWG

See the modified sCtl5 test procedures. The note 4) explains the condition for selecting the correct LN resp. controllable DataObject that is suitable

for the Beh blocked, test/blocked test cases.

#5 - 04/18/2023 09:08 AM - IEC 61850 TPWG
- Due date changed from 04/19/2023 to 05/02/2023
- Assignee changed from IEC 61850 TPWG to Thierry Dufaure

Text clarification to be added.

#6 - 04/18/2023 09:15 AM - Ursula Kramarczyk

- Assignee changed from Thierry Dufaure to Ursula Kramarczyk

#7 - 04/19/2023 04:38 AM - Ursula Kramarczyk

the cCtl5.docx proposes the last sentence of test case comments:

The test steps 6,7 and 9,10 can not be performed with internal controllable objects.

Word internal is not self-evident in context of controllable objects. To match wording the 61850-7-4 uses in table A.1: Values of mode and behaviour -

proposal the last sentence:

The test steps 6,7 and 9,10 can not be performed with internal (no wired output) controllable objects.

#8 - 04/21/2023 04:47 AM - Thierry Dufaure
- File sCtl5_210423.docx added

see updated draft that includes the comment resolution:

1) to execute the command at the electrical interface to the process —i.e. an DataObject with Wired Output to the process

and

The test steps 6,7 and 9,10 can not be performed with internal (no wired output) controllable objects.

#9 - 05/16/2023 08:24 AM - IEC 61850 TPWG
Agreed.

Wired Output -> wired output

#10 - 05/16/2023 08:24 AM - IEC 61850 TPWG

- Status changed from In Progress to Resolved

#11 - 03/01/2024 10:01 AM - Richard Schimmel
- Status changed from Resolved to Closed

- Updated Test Document set to TP1.3

Files
sCtl5.docx 23.3 KB 04/03/2023 Thierry Dufaure
sCtl5_210423.docx 23.4 KB 04/21/2023 Thierry Dufaure
